function MissionGoal( Mission, Client )

	local CargoAvailable = 0
	for CargoID, CargoData in pairs( Mission._Cargos ) do
		if Group.getByName( CargoData.CargoGroupName ) then
			if Group.getByName( CargoData.CargoGroupName ):getSize() >= 1 then
				CargoAvailable = CargoAvailable + 1
			end
		end
	end
	
	local CargoDeployed = 0
	for CargoID, CargoData in pairs( Mission._Cargos ) do
		if CargoData.Status == CARGOSTATUS.UNLOADED then
			CargoDeployed = CargoDeployed + 1
		end
	end
	
	env.info( 'MissionGoal: CargoDeployed = ' .. CargoDeployed )
	env.info( 'MissionGoal: CargoAvailable = ' .. CargoAvailable )
	if CargoDeployed >= 2 then
		return Mission.SUCCESS
	else
		if CargoAvailable <= 1 then
			return Mission.FAILED
		end
	end
	
	return Mission.REPEAT
	
end

--[[
do -- Test
	local Mission = MISSIONSCHEDULER.AddMission( 'Test', 'Test', 'Transport troops from the control center to the deployment zone.' )
	Mission:AddGoal( MissionGoal )

	local Client = CLIENT:New( 'RU MI-8MTV2 - Deploy Troops 1' )
	Client:Transport()
	Mission:AddClient( Client )

	local InfantryCarrier = Group.getByName( 'Test Control Center' )
	local CargoTable = {}
	for CargoItem = 1, math.random(5,10) do
		Mission:AddCargo( 'Infantry Test ' .. CargoItem, _TransportType.INFANTRY, math.random( 70, 120 ) * 6, 'Test Control Center', 'Infantry Test', 'Test Pickup Zone' )
	end
	-- Assign the Pickup Task
	local PickupTask = PICKUPTASK:New( 'Test Zone', _TransportType.INFANTRY, CLIENT.ONBOARDSIDE.LEFT )
	PickupTask:AddSmokeRed( 'Test Control Center'  )
	Mission:AddTask( PickupTask, 1 )

	-- Assign the Deploy Task
	local DeployTask = DEPLOYTASK:New( 'Test Zone', _TransportType.INFANTRY )
	DeployTask:SetCargoTargetZoneName( 'Test Target Zone' )
	DeployTask:AddSmokeRed( 'Test Deploy' )
	Mission:AddTask( DeployTask, 2 )
	
	-- Assign the GoHome Task
	local GoHomeTask = GOHOMETASK:New( 'Test Zone' )
	Mission:AddTask( GoHomeTask, 3 )
	
end
--]]


do -- NATO Transport Mission Gold


	local Mission = MISSIONSCHEDULER.AddMission( 'NATO Transport Troops Gold', 'Operational', 'Transport troops from the control center to the deployment zone.', 'NATO' )
	Mission:AddGoal( MissionGoal )
	
	local Client = CLIENT:New( 'US UH-1H - Deploy Troops 1' )
	Client:Transport()
	Mission:AddClient( Client )

	local CargoTable = {}
	for CargoItem = 1, 4 do
		Mission:AddCargo( 'Infantry Gold ' .. CargoItem, _TransportType.INFANTRY, math.random( 70, 120 ) * 6, 'NATO Gold Coordination Center', 'US Infantry Gold', 'NATO Gold Pickup Zone' )
	end

	local zone = math.random(1,5)

	-- Assign the Pickup Task
	local PickupTask = PICKUPTASK:New( 'NATO Gold Pickup Zone', _TransportType.INFANTRY, CLIENT.ONBOARDSIDE.LEFT )
	PickupTask:AddSmokeRed( 'NATO Gold Coordination Center'  )
	Mission:AddTask( PickupTask, 1 )

	-- Assign the Deploy Task
	local DeployTask = DEPLOYTASK:New( 'US Landing Zone ' .. zone, _TransportType.INFANTRY )
	DeployTask:SetCargoTargetZoneName( 'US Troops Attack ' .. math.random(2) )
	DeployTask:AddSmokeRed( 'US Deploy ' .. zone )
	Mission:AddTask( DeployTask, 2 )
	
	-- Assign the GoHome Task
	local GoHomeTask = GOHOMETASK:New( 'NATO UH-1H Troops Deployment Home Base' )
	Mission:AddTask( GoHomeTask, 3 )
end

do -- NATO Transport Mission Titan
	local Mission = MISSIONSCHEDULER.AddMission( 'NATO Transport Troops Titan', 'Operational', 'Transport troops from the control center to the deployment zone.', 'NATO' )
	Mission:AddGoal( MissionGoal )

	local Client = CLIENT:New( 'US UH-1H - Deploy Troops 2' )
	Client:Transport()
	Mission:AddClient( Client )

	local CargoTable = {}
	for CargoItem = 1, 4 do
		Mission:AddCargo( 'Infantry Titan ' .. CargoItem, _TransportType.INFANTRY, math.random( 70, 120 ) * 6, 'NATO Titan Coordination Center', 'US Infantry Titan', 'NATO Titan Pickup Zone' )
	end

	local zone = math.random(1,5)

	-- Assign the Pickup Task
	local PickupTask = PICKUPTASK:New( 'NATO Titan Pickup Zone', _TransportType.INFANTRY, CLIENT.ONBOARDSIDE.LEFT )
	PickupTask:AddSmokeRed( 'NATO Titan Coordination Center'  )
	Mission:AddTask( PickupTask, 1 )

	-- Assign the Deploy Task
	local DeployTask = DEPLOYTASK:New( 'US Landing Zone ' .. zone, _TransportType.INFANTRY )
	DeployTask:SetCargoTargetZoneName( 'US Troops Attack ' .. math.random(2) )
	DeployTask:AddSmokeRed( 'US Deploy ' .. zone )
	Mission:AddTask( DeployTask, 2 )
	
	-- Assign the GoHome Task
	local GoHomeTask = GOHOMETASK:New( 'NATO UH-1H Troops Deployment Home Base' )
	Mission:AddTask( GoHomeTask, 3 )
end


do -- Russia Transport Mission Alpha
	local Mission = MISSIONSCHEDULER.AddMission( 'Russia Transport Troops Alpha', 'Operational', 'Transport troops from the control center to the deployment zone', 'Russia' )
	Mission:AddGoal( MissionGoal )

	local Client = CLIENT:New( 'RU MI-8MTV2 - Deploy Troops 1' )
	Client:Transport()
	Mission:AddClient( Client )

	local CargoTable = {}
	for CargoItem = 1, 4 do
		Mission:AddCargo( 'Infantry Alpha ' .. CargoItem, _TransportType.INFANTRY, math.random( 70, 120 ) * 6, 'Russia Alpha Watch Tower', 'RU Infantry Alpha', 'Russia Alpha Pickup Zone' )
	end

	local zone = math.random( 4 , 7 )

	-- Assign the Pickup Task
	local PickupTask = PICKUPTASK:New( 'Russia Alpha Pickup Zone', _TransportType.INFANTRY, CLIENT.ONBOARDSIDE.LEFT )
	PickupTask:AddSmokeRed( 'Russia Alpha Watch Tower'  )
	Mission:AddTask( PickupTask, 1 )

	-- Assign the Deploy Task
	local DeployTask = DEPLOYTASK:New( 'RU Landing Zone ' .. zone, _TransportType.INFANTRY )
	DeployTask:SetCargoTargetZoneName( 'RU Troops Attack ' .. math.random(2) )
	DeployTask:AddSmokeRed( 'RU Deploy ' .. zone )
	Mission:AddTask( DeployTask, 2 )
	
	-- Assign the GoHome Task
	local GoHomeTask = GOHOMETASK:New( 'Russia MI-8MTV2 Troops Transport Home Base' )
	Mission:AddTask( GoHomeTask, 3 )

end


do -- Russia Transport Mission Beta
	local Mission = MISSIONSCHEDULER.AddMission( 'Russia Transport Troops Beta', 'Operational', 'Transport troops from the control center to the deployment zone', 'Russia' )
	Mission:AddGoal( MissionGoal )

	local Client = CLIENT:New( 'RU MI-8MTV2 - Deploy Troops 2' )
	Client:Transport()
	Mission:AddClient( Client )

	local CargoTable = {}
	for CargoItem = 1, 4 do
		Mission:AddCargo( 'Infantry Beta ' .. CargoItem, _TransportType.INFANTRY, math.random( 70, 120 ) * 6, 'Russia Beta Transport Truck', 'RU Infantry Beta', 'Russia Beta Pickup Zone' )
	end

	local zone = math.random( 4 , 7 )

	-- Assign the Pickup Task
	local PickupTask = PICKUPTASK:New( 'Russia Beta Pickup Zone', _TransportType.INFANTRY, CLIENT.ONBOARDSIDE.LEFT )
	PickupTask:AddSmokeOrange( 'Russia Beta Transport Truck'  )
	Mission:AddTask( PickupTask, 1 )

	-- Assign the Deploy Task
	local DeployTask = DEPLOYTASK:New( 'RU Landing Zone ' .. zone, _TransportType.INFANTRY )
	DeployTask:SetCargoTargetZoneName( 'RU Troops Attack ' .. math.random(2) )
	DeployTask:AddSmokeRed( 'RU Deploy ' .. zone )
	Mission:AddTask( DeployTask, 2 )
	
	-- Assign the GoHome Task
	local GoHomeTask = GOHOMETASK:New( 'Russia MI-8MTV2 Troops Transport Home Base' )
	Mission:AddTask( GoHomeTask, 3 )

end

do -- NATO "Fury" Sling Load Mission
	local Mission = MISSIONSCHEDULER.AddMission( 'NATO "Fury" Sling Load', 'Operational', 'Fly to the cargo pickup zone and sling the cargo to the target zone!', 'NATO' )

	local Client = CLIENT:New( 'BE UH-1H - Sling Load Cargo 1' )
	Mission:AddClient( Client )
	
	-- Route to the pickup zone
	local RouteTask = ROUTETASK:New( 'Cargo 1 - Pick-Up' )
	Mission:AddTask( RouteTask, 1 )

		-- Route to the pickup zone
	local RouteTask = ROUTETASK:New( 'Cargo 1 - Arrival' )
	Mission:AddTask( RouteTask, 2 )

end

do -- NATO "Hide" Sling Load Mission
	local Mission = MISSIONSCHEDULER.AddMission( 'NATO "Hide" Sling Load', 'Operational', 'Fly to the cargo pickup zone and sling the cargo to the target zone!', 'NATO' )

	local Client = CLIENT:New( 'BE UH-1H - Sling Load Cargo 2' )
	Mission:AddClient( Client )
	
	-- Route to the pickup zone
	local RouteTask = ROUTETASK:New( 'Cargo 2 - Pick-Up' )
	Mission:AddTask( RouteTask, 1 )

		-- Route to the pickup zone
	local RouteTask = ROUTETASK:New( 'Cargo 2 - Arrival' )
	Mission:AddTask( RouteTask, 2 )

end

do -- Russia Destroy Mission Patriots
	local Mission = MISSIONSCHEDULER.AddMission( 'Patriots', 'Primary', 'Our intelligence reports that 3 Patriot SAM defense batteries are located near Ruisi, Kvarhiti and Gori.', 'Russia'  )

	Mission:AddClient( CLIENT:New( 'RU KA-50 - Patriot Attack 1', "Execute a CAS in Gori Valley, eliminating the Patriot launchers and other ground vehicles. Beware approaching NATO air support from the east and the west. Fly low and slow, and scan the area before engaging." ) )
	Mission:AddClient( CLIENT:New( 'RU KA-50 - Patriot Attack 2', "Execute a CAS in Gori Valley, eliminating the Patriot launchers and other ground vehicles. Beware approaching NATO air support from the east and the west. Fly low and slow, and scan the area before engaging.") )
	Mission:AddClient( CLIENT:New( 'RU Su-25T - Patriot Attack 1', "Fly to the south and execute a CAS in Gori Valley, eliminating the Patriot launchers and other ground vehicles. Beware approaching NATO air support from the east and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'RU Su-25T - Patriot Attack 2', "Fly to the south and execute a SEAD attack in Gori Valley, eliminating the Patriot radars and other ground air defenses. Beware approaching NATO air support from the east and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'RU Su-25T - Patriot Attack 3', "Fly to the south and execute a CAS in Gori Valley, eliminating the Patriot launchers and other ground vehicles. Beware approaching NATO air support from the east and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'RU Su-25T - Patriot Attack 4', "Fly to the south and execute a SEAD attack in Gori Valley, eliminating the Patriot radars and other ground air defenses. Beware approaching NATO air support from the east and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'RU Su-25T - Patriot Attack 5', "Fly to the south and execute a CAS in Gori Valley, eliminating the Patriot launchers and other ground vehicles. Beware approaching NATO air support from the east and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'RU Su-25T - Patriot Attack 6', "Fly to the south and execute a SEAD attack in Gori Valley, eliminating the Patriot radars and other ground air defenses. Beware approaching NATO air support from the east and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )

	Mission:AddClient( CLIENT:New( 'RU MIG-29S - Air Defense West 1', "Provide CAP support by flying to the south over the mountains and engage with any unidentified aircraft. Protect our Su-25T planes from any unexpected air threats." ..
							  "NATO airbases are in red alert. NATO air defenses are on their way to Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'RU MIG-29S - Air Defense West 2', "Provide CAP support by flying to the south over the mountains and engage with any unidentified aircraft. Protect our Su-25T planes from any unexpected air threats." ..
							  "NATO airbases are in red alert. NATO air defenses are on their way to Gori Valley." ) )

	Mission:AddClient( CLIENT:New( 'RU Su-27 - Air Support East 1', "Provide CAP support by flying to the south over the mountains and engage with any unidentified aircraft. Protect our Su-25T planes from any unexpected air threats." ..
							  "NATO airbases are in red alert. NATO air defenses are on their way to Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'RU Su-27 - Air Support East 2', "Provide CAP support by flying to the south over the mountains and engage with any unidentified aircraft. Protect our Su-25T planes from any unexpected air threats." ..
							  "NATO airbases are in red alert. NATO air defenses are on their way to Gori Valley." ) )

	DestroyGroupsMission( 'Patriots', 'Patriot Batteries', { 'US SAM Patriot - Battery 1', 'US SAM Patriot - Battery 2', 'US SAM Patriot - Battery 3' } )
	--DestroyGroupsMission( 'Patriots', 'Patriot Batteries', { 'RU AAA #016' } ) -- test
end

do -- NATO Destroy Mission SA-6 Batteries
	local Mission = MISSIONSCHEDULER.AddMission( 'SA-6 SAMs', 'Primary', 'Our intelligence reports that 3 SA-6 SAM defense batteries are located near Didmukha, Khetagurov and Berula. Eliminate the Russian SAMs.', 'NATO'  )

	Mission:AddClient( CLIENT:New( 'BE KA-50 - Ground Defense 1', "Execute a CAS in Gori Valley, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Fly low and slow, and scan the area before engaging. Good luck!" ) )
	Mission:AddClient( CLIENT:New( 'BE KA-50 - Ground Defense 2', "Execute a CAS in Gori Valley, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Fly low and slow, and scan the area before engaging. Good luck!" ) )
	Mission:AddClient( CLIENT:New( 'US A-10A - Ground Attack 1', "Fly to the west and execute a CAS in Gori Valley, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'US A-10A - Ground Attack 2', "Fly to the west and execute a CAS in Gori Valley, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'US A-10C Ground Attack 1', "Fly to the east and execute a CAS in Gori Valley, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'US A-10C Ground Attack 2', "Fly to the east and execute a CAS in Gori Valley, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'US A-10C Ground Attack 3', "Fly to the east and execute a CAS in Gori Valley, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'US A-10C Ground Attack 4', "Fly to the east and execute a CAS in Gori Valley, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Expect heavy AAA and air defense ground units within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'US F-15C - Air Defense 1', "Fly to the east and provide CAP of supporting A-10A and A-10C planes, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Expect heavy AAA and air defenses within Gori Valley." ) )
	Mission:AddClient( CLIENT:New( 'US F-15C - Air Defense 2', "Fly to the east and provide CAP of supporting A-10A and A-10C planes, eliminating the SA-6 launchers and other ground vehicles. Beware approaching CCCP air support from the north and the west. Expect heavy AAA and air defenses within Gori Valley." ) )

	DestroyGroupsMission( 'SA-6 SAMs', 'SA-6 SAM Batteries', {'RU SA-6 Kub #001', 'RU SA-6 Kub #002', 'RU SA-6 Kub #003' } )
end

function MissionGoalGeneral( Mission, Client )

	local Generals = 0
	for CargoID, CargoData in pairs( Mission._Cargos ) do
		if Group.getByName( CargoData.CargoGroupName ) then
			if Group.getByName( CargoData.CargoGroupName ):getSize() >= 1 then
				Generals = Generals + 1
			end
		end
	end
	
	env.info( 'MissionGoalGeneral: Generals = ' .. Generals )
	if Generals == 0 then
		Mission:AddCargo( 'Russian General', _TransportType.INFANTRY, math.random( 70, 120 ), nil, 'Russian General', 'General Hiding Zone' )
		return Mission.ONGOING
	end

	local CargoDeployed = 0
	for CargoID, CargoData in pairs( Mission._Cargos ) do
		if CargoData.Status == CARGOSTATUS.UNLOADED then
			CargoDeployed = CargoDeployed + 1
		end
	end

	env.info( 'MissionGoalGeneral: CargoDeployed = ' .. CargoDeployed )
	if CargoDeployed >= 1 then
		return Mission.SUCCESS
	else
		if Generals == 0 then
			return Mission.FAILED
		end
	end
	
	return Mission.REPEAT
	
end




do -- Russia rescue of General
	local Mission = MISSIONSCHEDULER.AddMission( 'Rescue General', 'Tactical', 'Our intelligence has received a remote signal behind Gori. We believe it is a very important Russian General that was captured by Georgia. Go out there and rescue him!', 'Russia'  )
	Mission:AddGoal( MissionGoalGeneral )

	local Client1 = CLIENT:New( 'RU MI-8MTV2 - Rescue General 1' )
	local Client2 = CLIENT:New( 'RU MI-8MTV2 - Rescue General 2' )
	Mission:AddClient( Client1 )
	Mission:AddClient( Client2 )

	Mission:AddCargo( 'Russian General', _TransportType.INFANTRY, math.random( 70, 120 ), nil, 'Russian General', 'General Hiding Zone' )

	-- Assign the Pickup Task
	local PickupTask = PICKUPTASK:New( 'General Hiding Zone', _TransportType.INFANTRY, CLIENT.ONBOARDSIDE.RIGHT )
	PickupTask:AddFlareWhite( 'Russian General' )
	Mission:AddTask( PickupTask, 1 ) 

		-- Assign the Deploy Tasks
	local DeployTask = DEPLOYTASK:New( 'Tskinvali Headquarters', _TransportType.INFANTRY )
	DeployTask:AddSmokeWhite( 'Russia Command Center' )
	Mission:AddTask( DeployTask, 2 )

	-- Assign the GoHome Task
	local GoHomeTask = GOHOMETASK:New( 'Russia MI-8MTV2 Troops Transport Home Base' )
	Mission:AddTask( GoHomeTask, 3 )

end

function MissionGoalAgent( Mission, Client )

	local Agents = 0
	for CargoID, CargoData in pairs( Mission._Cargos ) do
		if Group.getByName( CargoData.CargoGroupName ) then
			if Group.getByName( CargoData.CargoGroupName ):getSize() >= 1 then
				Agents = Agents + 1
			end
		end
	end
	
	env.info( 'MissionGoalAgent: Agents = ' .. Agents )
	if Agents == 0 then
		Mission:AddCargo( 'NATO Secret Agent', _TransportType.INFANTRY, math.random( 70, 120 ), nil, 'NATO Secret Agent', 'Agent Hiding Zone' )
		return Mission.REPEAT
	end

	local CargoDeployed = 0
	for CargoID, CargoData in pairs( Mission._Cargos ) do
		if CargoData.Status == CARGOSTATUS.UNLOADED then
			CargoDeployed = CargoDeployed + 1
		end
	end

	env.info( 'MissionGoalAgent: CargoDeployed = ' .. CargoDeployed )
	if CargoDeployed >= 1 then
		return Mission.SUCCESS
	else
		if Agents == 0 then
			return Mission.FAILED
		end
	end
	
	return Mission.REPEAT
end

do -- NATO rescue secret agent from the woods
	local Mission = MISSIONSCHEDULER.AddMission( 'Rescue secret agent', 'Tactical', 'In order to be in full control of the situation, we need you to rescue a secret agent from the woods behind enemy lines. Fly undetected through the Russian defenses and rescue the agent.', 'NATO'  )
	Mission:AddGoal( MissionGoalAgent )

	local Client1 = CLIENT:New( 'DE MI-8MTV2 - Rescue Agent 1' )
	local Client2 = CLIENT:New( 'DE MI-8MTV2 - Rescue Agent 2' )
	Mission:AddClient( Client1 )
	Mission:AddClient( Client2 )

	Mission:AddCargo( 'Secret Agent', _TransportType.INFANTRY, math.random( 70, 120 ), nil, 'GE Secret Agent', 'NATO secret agent hiding zone' )

	-- Assign the Pickup Task
	local PickupTask = PICKUPTASK:New( 'NATO secret agent hiding zone', _TransportType.INFANTRY, CLIENT.ONBOARDSIDE.FRONT )
	PickupTask:AddFlareWhite( 'GE Secret Agent' )
	Mission:AddTask( PickupTask, 1 ) 

		-- Assign the Deploy Tasks
	local DeployTask = DEPLOYTASK:New( 'Gori Headquarters Drop Zone', _TransportType.INFANTRY )
	DeployTask:AddSmokeWhite( 'Gori Headquarters' )
	Mission:AddTask( DeployTask, 2 )

	-- Assign the GoHome Task
	local GoHomeTask = GOHOMETASK:New( 'NATO Gori Home Bases' )
	Mission:AddTask( GoHomeTask, 3 )


end
--]]

function MissionGoalPackage( Mission, Client )

	local CargoDeployed = 0
	for CargoID, CargoData in pairs( Mission._Cargos ) do
		if CargoData.Status == CARGOSTATUS.UNLOADED then
			CargoDeployed = CargoDeployed + 1
		end
	end

	env.info( 'MissionGoalPackage: CargoDeployed = ' .. CargoDeployed )
	if CargoDeployed >= 1 then
		return Mission.SUCCESS
	else
		return Mission.REPEAT
	end
	
end

do -- Russia deliver packages to secret agent
	local Mission = MISSIONSCHEDULER.AddMission( 'Package Delivery', 'Operational', 'In order to be in full control of the situation, we need you to deliver a very important package at a secret location. Fly undetected through the NATO defenses and deliver the secret package.', 'Russia'  )
	Mission:AddGoal( MissionGoalPackage )
	Client1 = CLIENT:New( 'RU KA-50 - Package Delivery 1' )
	Client2 = CLIENT:New( 'RU KA-50 - Package Delivery 2' )
	Client1:AddCargo( 'Secret Package 1', '', _TransportType.PACKAGE, math.random( 30, 50 ) )
	Client2:AddCargo( 'Secret Package 2', '', _TransportType.PACKAGE, math.random( 30, 50 ) )
	Mission:AddClient( Client1 )
	Mission:AddClient( Client2 )

	Mission:AddCargo( 'Secret Package 1', _TransportType.PACKAGE, math.random( 560, 800 ), 'Russia Secret Agent', '', '' )
	Mission:AddCargo( 'Secret Package 2', _TransportType.PACKAGE, math.random( 100, 300 ), 'Russia Secret Agent', '', '' )
	
	-- Assign the Deploy Tasks
	local DeployTask = DEPLOYTASK:New( 'Russia Secret Drop Zone', _TransportType.PACKAGE )
	DeployTask:AddSmokeWhite( 'Russia Secret Agent' )
	Mission:AddTask( DeployTask, 1 )

	-- Assign the GoHome Task
	local GoHomeTask = GOHOMETASK:New( 'Russia Alpha' )
	Mission:AddTask( GoHomeTask, 2 )

end

MISSIONSCHEDULER.Start()
MISSIONSCHEDULER.ReportMenu()
MISSIONSCHEDULER.ReportMissionsFlash( 10 )

